=== ETL/ETL/CMakeLists.txt ===
## TODO: install headers properly

configure_file(
    etl_profile.h.cmake.in
    ${PROJECT_BINARY_DIR}/ETL/etl_profile.h
)

set(ETL_HEADERS
        "${CMAKE_CURRENT_LIST_DIR}/calculus"
        "${CMAKE_CURRENT_LIST_DIR}/misc"
        "${CMAKE_CURRENT_LIST_DIR}/hermite"
        "${CMAKE_CURRENT_LIST_DIR}/fixed"
        "${CMAKE_CURRENT_LIST_DIR}/surface"
        "${CMAKE_CURRENT_LIST_DIR}/clock"
        "${CMAKE_CURRENT_LIST_DIR}/stringf"
        "${CMAKE_CURRENT_LIST_DIR}/boxblur"
        "${CMAKE_CURRENT_LIST_DIR}/smart_ptr"
        "${CMAKE_CURRENT_LIST_DIR}/ref_count"
        "${CMAKE_CURRENT_LIST_DIR}/pen"
        "${CMAKE_CURRENT_LIST_DIR}/angle"
        "${CMAKE_CURRENT_LIST_DIR}/bezier"
        "${CMAKE_CURRENT_LIST_DIR}/gaussian"
        "${CMAKE_CURRENT_LIST_DIR}/handle"
#     PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/_ref_count.h"
        "${CMAKE_CURRENT_LIST_DIR}/_surface.h"
        "${CMAKE_CURRENT_LIST_DIR}/_smart_ptr.h"
        "${CMAKE_CURRENT_LIST_DIR}/_pen.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_boxblur.h"
        "${CMAKE_CURRENT_LIST_DIR}/_angle.h"
        "${CMAKE_CURRENT_LIST_DIR}/etl_config.h"
        "${CMAKE_CURRENT_LIST_DIR}/_stringf.h"
        "${CMAKE_CURRENT_LIST_DIR}/_calculus.h"
        "${CMAKE_CURRENT_LIST_DIR}/_misc.h"
        "${CMAKE_CURRENT_LIST_DIR}/_hermite.h"
        "${CMAKE_CURRENT_LIST_DIR}/_fixed.h"
        "${CMAKE_CURRENT_LIST_DIR}/_bezier.h"
        "${CMAKE_CURRENT_LIST_DIR}/_curve_func.h"
        "${CMAKE_CURRENT_LIST_DIR}/_handle.h"
        "${CMAKE_CURRENT_LIST_DIR}/_gaussian.h"

# autogenerated
        "${PROJECT_BINARY_DIR}/ETL/etl_profile.h" 
)

install(
    FILES ${ETL_HEADERS}
    DESTINATION include/ETL
)
