=== debian/changelog ===
synfig (1.5.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1063004)
  * Bump debhelper compat to v13.
  * debian/rules: Use execute_after syntax when available.
  * debian/not-installed: Add to exclude installation of .la files.
  * debian/libsynfig0a.install: Dropped, binary package now gone.
  * debian/control: Drop useless build-dependency autopoint.
  * debian/control: Update build-dependencies:
    + libgl1-mesa-dev => libgl-dev
    + libfontconfig1-dev => libfontconfig-dev
    + libfreetype6-dev => libfreetype-dev

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jul 2024 15:03:39 -0400

synfig (1.5.1+dfsg-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Feb 2024 11:45:00 +0000

synfig (1.5.1+dfsg-3) unstable; urgency=medium

  * New upstream patch to fix FTBFS with ffmpeg-5.0 (Closes: #1013460).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 15:06:27 +1000

synfig (1.5.1+dfsg-2) unstable; urgency=medium

  * New upstream patch to fix FTBFS/tests on i686.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Apr 2022 16:31:24 +1000

synfig (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed FTBFS issues (Closes: #1008386, #1007167).
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 13:51:25 +1000
