## synfig 1.5.3%2Bdfsg

=== synfig-core/src/modules/mod_dv/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
         "${CMAKE_CURRENT_LIST_DIR}/trgt_dv.cpp"
 )
 
-target_link_libraries(mod_dv synfig ${SIGCPP_LIBRARIES})
+target_link_libraries(mod_dv libsynfig)
 
 install (
     TARGETS mod_dv
