=== ETL/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ETL)

set(CMAKE_CXX_STANDARD 11)

add_subdirectory(ETL)
