=== synfig-core/src/modules/lyr_std/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
         "${CMAKE_CURRENT_LIST_DIR}/zoom.cpp"
 )
 
-target_link_libraries(lyr_std synfig ${GLIBMM_LIBRARIES})
+target_link_libraries(lyr_std libsynfig)
 
 install (
     TARGETS lyr_std
