=== synfig-core/src/modules/mod_bmp/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
         "${CMAKE_CURRENT_LIST_DIR}/trgt_bmp.cpp"
 )
 
-target_link_libraries(mod_bmp synfig)
+target_link_libraries(mod_bmp libsynfig)
 
 install (
     TARGETS mod_bmp
