=== debian/changelog ===
synfig (1.5.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * Build with harfbuzz

  [ Rodolfo Gomes ]
  * New upstream release (Closes: #1079335, #1086935)
  * Build-Depends: removed unneeded ones
    - binutils (Closes: #1032500)
    - libboost-all-dev
    - libcairo-dev
    - libpango1.0-dev
  * debian/patches:
    + 0001-buildETL-cleanup-dismissed-ETL-dependencies.patch : backported
       patch from upstream to reduce package dependencies
    - 2709.patch : patched in upstream
    - strip-build-date.patch : patched in upstream
  * Standards-Version: 4.7.2. (no changes required)

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository
  * Drop unnecessary dependency on dh-autoreconf

 -- Bastian Germann <bage@debian.org>  Fri, 02 Jan 2026 11:31:00 +0100
