=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: synfig
 Section: graphics
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends:
- binutils,
  debhelper-compat (= 13),
- etl-dev (>= 1.5.1~),
+ etl-dev (>= 1.5.3~),
  intltool,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
- libboost-all-dev,
- libcairo-dev,
  libfftw3-dev,
  libfontconfig-dev,
  libfreetype-dev,
+ libfribidi-dev,
  libgl-dev,
  libglibmm-2.4-dev,
+ libharfbuzz-dev,
  libjpeg-dev,
  libltdl-dev,
  libmagick++-dev,
@@ -27,7 +26,6 @@
  libmlt-dev,
  libmng-dev,
  libopenexr-dev,
- libpango1.0-dev,
  libpng-dev,
  libsigc++-2.0-dev,
  libswscale-dev,
@@ -58,20 +56,11 @@
 Section: libdevel
 Architecture: any
 Depends:
- etl-dev (>= 1.4.0~),
- libavcodec-dev,
- libavformat-dev,
- libavutil-dev,
- libcairo-dev,
+ etl-dev (>= 1.5.3~),
  libfftw3-dev,
- libfontconfig-dev,
- libfreetype-dev,
  libglibmm-2.4-dev,
  libmlt++-dev,
- libopenexr-dev,
- libpango1.0-dev,
  libsigc++-2.0-dev,
- libswscale-dev,
  libsynfig0t64 (= ${binary:Version}),
  libxml++2.6-dev,
  ${misc:Depends},
