=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with autoreconf --sourcedirectory=synfig-core
+	dh $@ --sourcedirectory=synfig-core
 
 execute_after_dh_autoreconf:
 	cd synfig-core && intltoolize --force --copy
